// AABB - [2020-06-22 11:41:46]
#ifndef _XCTRL_H_
#define _XCTRL_H_

#include "common.h"

// 0011A5C4
void XCTRL_ProcessHW();

// 0011A5C8
void XCTRL_SetHWToDevice();

// 0011A5CC
void XCTRL_Process_ClearTriggers();

// 0011A5D0
bool XCTRL_TouchHWIsPressed();

// 0011A5DC
bool XCTRL_TouchHWIsReleased();

// 0011A5E8
bool XCTRL_TouchHWIsTouching();

// 0011A5F4
TPoint XCTRL_TouchHWGetPos();

// 0011A608
int XCTRL_TouchGetCount();

// 0011A614
bool XCTRL_TouchIsTouching(int);

// 0011A624
TPoint XCTRL_TouchGetDownPos(int);

// 0011A63C
void XCTRL_TouchSetDownPos(int, TPoint);

// 0011A654
int XCTRL_TouchGetDownTime(int);

// 0011A664
TPoint XCTRL_TouchGetPos(int);

// 0011A67C
int XCTRL_TouchLastTime(int);

// 0011A68C
bool XCTRL_TouchIsPressed(int);

// 0011A69C
bool XCTRL_TouchIsReleased(int);

// 0011A6AC
bool XCTRL_TouchIsDoubleTapped(int);

// 0011A6BC
bool XCTRL_TouchGetSwipe(int);

// 0011A6CC
void XCTRL_TouchResetHW();

// 0011A6EC
void XCTRL_TouchReset();

// 0011A70C
void XCTRL_TouchProcessHW();

// 0011A8F8
void XCTRL_TouchSetHWToDevice();

// 0011A9F4
void XCTRL_TouchProcess_ClearTriggers();

#endif  //_XCTRL_H_